Carbon Calculator
All operations require authentication.
Create a carbon footprint csv generation taskProduction
Request body (required)
End month of computation. Must be after start month. Only year and month are used; the day is ignored.
Start month of computation. Must be before end month. Only year and month are used; the day is ignored.
Response
ID of the calculation task
Reads your token from $OVH_TOKEN
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ me/ carbonCalculator/ csv \
-H "authorization: Bearer $OVH_TOKEN"{ "taskID": "string"}
Find out if the account has data to generate invoiceProduction
Query parameters
Month of the requested invoice (day is ignored)
Response
Whether the account has data to generate invoice
Reads your token from $OVH_TOKEN
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ me/ carbonCalculator/ hasInvoice \
-H "authorization: Bearer $OVH_TOKEN"{ "hasInvoice": true}
Create a carbon footprint pdf generation taskProduction
Request body (required)
Month of computation. Must be between last month and last month - 24 months. Only year and month are used; the day is ignored
Response
ID of the calculation task
Reads your token from $OVH_TOKEN
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ me/ carbonCalculator/ pdf \
-H "authorization: Bearer $OVH_TOKEN"{ "taskID": "string"}
List all tasksProduction
Response
Link to the document
Status of the task
ERRORIN_PROGRESSSUCCESSID of the task
Reads your token from $OVH_TOKEN
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ me/ carbonCalculator/ task \
-H "authorization: Bearer $OVH_TOKEN"[ { "link": "string", "status": "ERROR", "taskID": "string" }]
Create a carbon footprint generation taskProduction
Request body (required)
Month of the requested document (day is ignored)
Response
ID of the calculation task
Reads your token from $OVH_TOKEN
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ me/ carbonCalculator/ task \
-H "authorization: Bearer $OVH_TOKEN"{ "taskID": "string"}
Fetch a task by its IDProduction
Path parameters
TaskID
Response
Link to the document
Status of the task
ERRORIN_PROGRESSSUCCESSID of the task
Example uses taskID = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ me/ carbonCalculator/ task/ {taskID} \
-H "authorization: Bearer $OVH_TOKEN"{ "link": "string", "status": "ERROR", "taskID": "string"}